package config

import (
	"game/common/config"
	"github.com/fox/fox/db"
	"github.com/fox/fox/log"
)

var Command *config.Command
var Cfg *config.Common[ChatConfig]

type ChatConfig struct {
}

func initLog() {
	log.Open("chat.log", log.DebugL)
}

func LoadConfig(GitCommit, GitBranch, BuildDate string) {
	Command = config.ParseCommand()
	initLog()
	rdb, err := db.InitRedis(Command.RedisPassword, Command.RedisHost, Command.RedisPort, 0)
	if err != nil {
		log.Error(err.Error())
		return
	}
	defer func() { _ = rdb.Close() }()
	Cfg, err = config.LoadCommonConfig[ChatConfig](rdb, GitCommit, GitBranch, BuildDate)
	if err != nil {
		log.Error(err.Error())
		return
	}
	log.DebugF("load common config success")
}
